summaryrefslogtreecommitdiff
path: root/tests/tests/debpolicy-newreject
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/debpolicy-newreject')
-rwxr-xr-xtests/tests/debpolicy-newreject24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/tests/debpolicy-newreject b/tests/tests/debpolicy-newreject
new file mode 100755
index 0000000..de01a53
--- /dev/null
+++ b/tests/tests/debpolicy-newreject
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+export DGIT_DRS_DEBUG=1
+
+t-debpolicy
+t-prep-newpackage pari-extra 3.1
+
+cd $p
+
+
+echo FORBIDDEN >debian/some-file
+git add debian/some-file
+git commit -m 'Commit a forbidden thing'
+
+bad=`git rev-parse HEAD:debian/some-file`
+t-policy-admin taint --global "$bad" "forbidden for testing"
+
+t-dgit build
+t-expect-fail 'forbidden for testing' \
+t-dgit push --new
+
+echo xxx up to here